List Buckets
Sprint 3
List all available buckets in MinIO/S3 storage.
Endpoint
GET /api/v1/storage/buckets
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <access_token> |
Response
Success (200)
{
"success": true,
"data": {
"buckets": [
"rivergen-storage",
"backup-bucket"
]
},
"message": "Buckets retrieved successfully"
}
Error Codes
| Status | Code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Invalid or missing authentication token |
| 500 | INTERNAL_SERVER_ERROR | Failed to list buckets |
Features
- Lists all available buckets in MinIO/S3
- Returns bucket names as array
Example
curl -X GET "https://api.rivergen.com/api/v1/storage/buckets" \
-H "Authorization: Bearer <access_token>"
Related Endpoints
- List Objects - List objects in a specific bucket